Subject: emacs -nw loses display of line number with long lines

From: Paul R <[email-masked]>
Date: Fri, 05 Dec 2008 12:15:17 +0100

To reproduce, open emacs -nw -Q, then type a very long line, for example
typing around 100 random characters, then C-a C-k to kill the string
then maintain C-y to past many times to get a line taking 4 or 5 display
lines. This is your long line. Then hit C-j.

Repeat operation ten times or more to have many such long lines.

Monitor line number in mode-line while operating. At a point, it will
print L??

M-: (line-number-at-pos (point)) will return correct value so it is
likely to be a display problem.

Tested on Linux with emacs 23 cvs -nw in gnome-terminal.

Can't reproduce in X version.

-- 
  Paul